Subject: RE: additional comments: draft-ietf-ldup-replica-req-06.txt

From: "Mark Brown (REDMOND)" <[email-masked]>
Date: Wed, 21 Feb 2001 14:14:36 -0800

"the complexity of distributed 2-phase commit
  required for Model 1 is significant and, therefor,
  Model 1 is not to be considered at this time."

I was suprised to read that the complexity of distributed
two-phase commit is what causes it to be excluded.
Distributed two-phase commit is in fact a wonderful
system simplifier when it applies.

I expected to read that the lack of site autonomy
inherent in distributed two-phase commit makes it
unsuitable.

--mark

-----Original Message-----
From: Kurt D. Zeilenga [mailto:[email-masked]]
Sent: Wednesday, February 21, 2001 1:29 PM
To: Richard Huber
Cc: [email-masked]
Subject: Re: additional comments: draft-ietf-ldup-replica-req-06.txt

At 04:18 PM 2/21/01 -0500, Richard Huber wrote:
>> > Consistency models 1, 2 and 3 involve the use of prearranged
>> > replication agreements among servers.  The added complexity of the
>> > distributed 2-phase commit required for Model 1 is significant;
>> > therefor, model 1 will not be considered at this time.
>>
>> I would like the above sentence replaced with
>>   "While Model 1 is required to provide atomicity, the complexity
>>   of distributed 2-phase commit required for Model 1 is significant
>>   and, therefor, Model 1 is not to be considered at this time."
>>
>> or like statement which highlights the lost capabilities of this
>> choice.  [note, I do not intend to re-discuss the choice, but
>> to clarify the pros and cons of the choice].
>
>We disagree with this because we don't feel that model 2 can never
support
>atomicity.  For example, in single-master it should be fairly
>straightforward.

How about:
  While Model 1 is required to provide atomicity in multiple master
  replication is used, the complexity of distributed 2-phase commit
  required for Model 1 is significant and, therefor, Model 1 is not
  to be considered at this time.